Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class ValidationDefinitionParseError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.makumba.MakumbaError
                  org.makumba.DefinitionParseError
                      org.makumba.ValidationDefinitionParseError

All Implemented Interfaces:
  Serializable

    public class ValidationDefinitionParseError

extends DefinitionParseError

Error occured during validation definition parsing. It can contain a number of errors occured at different lines during parsing.

Version:
  $Id: ValidationDefinitionParseError.java 3694 2009-02-11 00:41:05Z rosso_nero $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.DefinitionParseError
`column, components, line, lines, typeName`

Fields inherited from class org.makumba.MakumbaError
`explanation`

Constructor Summary
`ValidationDefinitionParseError()`
`ValidationDefinitionParseError(String typeName, String reason, String line)` Construct a message for a line

Method Summary

Methods inherited from class org.makumba.DefinitionParseError
`add, getMessage, getTypeName, isSingle, pointError, showTypeName`

Methods inherited from class org.makumba.MakumbaError
`printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationDefinitionParseError

    public ValidationDefinitionParseError()

### ValidationDefinitionParseError

    public ValidationDefinitionParseError(String typeName,
                                          String reason,
                                          String line)

  Construct a message for a line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20